National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2018-0309 Detail

Current Description

A vulnerability in the implementation of a specific CLI command and the associated Simple Network Management Protocol (SNMP) MIB for Cisco NX-OS (in standalone NX-OS mode) on Cisco Nexus 3000 and 9000 Series Switches could allow an authenticated, remote attacker to exhaust system memory on an affected device, resulting in a denial of service (DoS) condition. The vulnerability is due to the incorrect implementation of the CLI command, resulting in a failure to free all allocated memory upon completion. An attacker could exploit this vulnerability by authenticating to the affected device and repeatedly issuing a specific CLI command or sending a specific SNMP poll request for a specific Object Identifier (OID). A successful exploit could allow the attacker to cause the IP routing process to restart or to cause a device reset, resulting in a DoS condition. Cisco Bug IDs: CSCvf23136.

Source:  MITRE
Description Last Modified:  06/21/2018
View Analysis Description

Impact

CVSS v3.0 Severity and Metrics:

Base Score: 7.7 HIGH
Vector: AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H (V3 legend)
Impact Score: 4.0
Exploitability Score: 3.1


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope (S): Changed
Confidentiality (C): None
Integrity (I): None
Availability (A): High

CVSS v2.0 Severity and Metrics:

Base Score: 6.8 MEDIUM
Vector: (AV:N/AC:L/Au:S/C:N/I:N/A:C) (V2 legend)
Impact Subscore: 6.9
Exploitability Subscore: 8.0


Access Vector (AV): Network
Access Complexity (AC): Insufficient_Info
Authentication (AU): Single
Confidentiality (C): None
Integrity (I): None
Availability (A): Complete
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.securitytracker.com/id/1041169 Third Party Advisory VDB Entry
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20180620-n3k-n9k-clisnmp Vendor Advisory

Technical Details

Vulnerability Type (View All)

  • Uncontrolled Resource Consumption ('Resource Exhaustion') (CWE-400)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:o:cisco:nx-os:7.0\(3\)i5\(2\):*:*:*:*:*:*:*
cpe:2.3:o:cisco:nx-os:7.0\(3\)i6\(1\):*:*:*:*:*:*:*
OR
cpe:2.3:h:cisco:nexus_3016:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3048:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3064:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3064-t:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_31108pc-v:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_31108tc-v:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_31128pq:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3132q:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3132q-v:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3132q-xl:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3164q:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3172:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3172pq-xl:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3172tq:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3172tq-32t:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3172tq-xl:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3232c:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_3264q:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9000v:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_92160yc-x:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_92300yc:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_92304qc:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9236c:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9272q:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_93108tc-ex:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_93120tx:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_93128tx:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_93180lc-ex:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_93180yc-ex:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9332pq:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9372px:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9372px-e:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9372tx:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9372tx-e:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9396px:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9396tx:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9504:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9508:-:*:*:*:*:*:*:*
cpe:2.3:h:cisco:nexus_9516:-:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-0309
NVD Published Date:
06/21/2018
NVD Last Modified:
08/20/2018